Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236513 - bootloader install on unknown platform wipes entire hard drive.
Summary: bootloader install on unknown platform wipes entire hard drive.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: booty
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 235611
TreeView+ depends on / blocked
 
Reported: 2007-04-15 19:29 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 14:31:05 UTC


Attachments (Terms of Use)
patch (deleted)
2007-04-15 19:29 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-04-15 19:29:21 UTC
After an install on PS3, booty set up mkofboot to reformat the entire /dev/sda
drive as HFS. This is a little suboptimal, since it wiped away all the
partitions it'd just installed to.

Better behaviour on an unknown platform would be to do what we currently do for
Pegasos -- just leave a copy of yaboot in /boot/etc/yaboot and pray.

Comment 1 David Woodhouse 2007-04-15 19:29:22 UTC
Created attachment 152654 [details]
patch


Note You need to log in before you can comment on or make changes to this bug.